Bug 664976 - Review Request: perl-Class-Accessor-Lite - Minimalistic variant of Class::Accessor
Summary: Review Request: perl-Class-Accessor-Lite - Minimalistic variant of Class::Ac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 664982
TreeView+ depends on / blocked
 
Reported: 2010-12-22 11:04 UTC by Ralf Corsepius
Modified: 2013-05-12 15:59 UTC (History)
3 users (show)

Fixed In Version: perl-Class-Accessor-Lite-0.05-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-23 20:23:40 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 11:04:13 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Class-Accessor-Lite.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Class-Accessor-Lite-0.05-1.fc15.src.rpm

Description:
The module is a variant of Class::Accessor. It is fast and requires
less typing, has no dependencies to other modules, and does not mess
up the @ISA.

Comment 1 Marcela Mašláňová 2011-01-07 14:30:29 UTC
- rpmlint OK
W: spelling-error Summary(en_US) Minimalistic -> Minimalist, Minimalism, Minimality
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2707027
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides perl-Class-Accessor-Lite-0.05-1.fc14.noarch.rpm 
perl-Class-Accessor-Lite = 0.05-1.fc14

rpm -qp --requires perl-Class-Accessor-Lite-0.05-1.fc14.noarch.rpm 
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

There's again missing provides perl(Class::Accessor::Lite). I have experimental rpm-4.8.90, so it could be fault of RPM. What do you think?

Comment 2 Marcela Mašláňová 2011-01-10 09:31:07 UTC
ACCEPT (fault of my test rpm package)

Comment 3 Ralf Corsepius 2011-01-14 07:12:46 UTC
> There's again missing provides perl(Class::Accessor::Lite). I have experimental
> rpm-4.8.90, so it could be fault of RPM. What do you think?
I don't think so. I think the cause is you using "-qp -provides <package>" instead of "-q --provides -p <package>".

Anyway, thanks for the review.


New Package SCM Request
=======================
Package Name: perl-Class-Accessor-Lite
Short Description: Minimalistic variant of Class::Accessor
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-01-14 17:18:06 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-01-15 06:21:07 UTC
perl-Class-Accessor-Lite-0.05-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Class-Accessor-Lite-0.05-1.fc13

Comment 6 Fedora Update System 2011-01-15 06:21:13 UTC
perl-Class-Accessor-Lite-0.05-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Class-Accessor-Lite-0.05-1.fc14

Comment 7 Fedora Update System 2011-01-15 22:22:36 UTC
perl-Class-Accessor-Lite-0.05-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Class-Accessor-Lite'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Class-Accessor-Lite-0.05-1.fc14

Comment 8 Fedora Update System 2011-01-23 20:23:35 UTC
perl-Class-Accessor-Lite-0.05-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-23 20:26:23 UTC
perl-Class-Accessor-Lite-0.05-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Andrea Veri 2013-05-11 11:49:19 UTC
Package Change Request
======================
Package Name: perl-Class-Accessor-Lite
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 11 Gwyn Ciesla 2013-05-12 15:59:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.